# xarray.core.rolling.DatasetRolling

class `xarray.core.rolling.``DatasetRolling`(obj, windows, min_periods=None, center=False)
  `__init__`(obj, windows, min_periods=None, center=False)

    Moving window object for Dataset. You should use Dataset.rolling() method to construct this object instead of the class constructor.

    Parameters:

    - obj (Dataset) – Object to window.
    - windows (A mapping from a dimension name to window size) –
      dim : str
        Name of the dimension to create the rolling iterator along (e.g., time).
      window : int
        Size of the moving window.
    - min_periods (int, default None) – Minimum number of observations in window required to have a value (otherwise result is NA). The default, None, is equivalent to setting min_periods equal to the size of the window.
    - center (boolean, default False) – Set the labels at the center of the window.

    Returns: | rolling
    Return type: | type of input argument

    See also

    `Dataset.rolling()`, `DataArray.rolling()`, `Dataset.groupby()`, `DataArray.groupby()`

  Methods

  `__init__`(obj, windows[, min_periods, center]) | Moving window object for Dataset.
  `argmax`(**kwargs) | Reduce this object’s data windows by applying argmax along its dimension.
  `argmin`(**kwargs) | Reduce this object’s data windows by applying argmin along its dimension.
  `construct`(window_dim[, stride, fill_value]) | Convert this rolling object to xr.Dataset, where the window dimension is stacked as a new dimension
  `count`() | Reduce this object’s data windows by applying count along its dimension.
  `max`(**kwargs) | Reduce this object’s data windows by applying max along its dimension.
  `mean`(**kwargs) | Reduce this object’s data windows by applying mean along its dimension.
  `median`(**kwargs) | Reduce this object’s data windows by applying median along its dimension.
  `min`(**kwargs) | Reduce this object’s data windows by applying min along its dimension.
  `prod`(**kwargs) | Reduce this object’s data windows by applying prod along its dimension.
  `reduce`(func, **kwargs) | Reduce the items in this group by applying func along some dimension(s).
  `std`(**kwargs) | Reduce this object’s data windows by applying std along its dimension.
  `sum`(**kwargs) | Reduce this object’s data windows by applying sum along its dimension.
  `var`(**kwargs) | Reduce this object’s data windows by applying var along its dimension.

  Attributes

  `center` |
  `dim` |
  `min_periods` |
  `obj` |
  `rollings` |
  `window` |